## fmtlib 8.1.1+ds1

=== test/CMakeLists.txt ===
add_subdirectory(gtest)

set(TEST_MAIN_SRC test-main.cc gtest-extra.cc gtest-extra.h util.cc)
add_library(test-main STATIC ${TEST_MAIN_SRC})
target_include_directories(test-main PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>)
target_link_libraries(test-main gtest)

include(CheckCXXCompilerFlag)

function(add_fmt_executable name)
  add_executable(${name} ${ARGN})
  if (MINGW)
    target_link_libraries(${name} -static-libgcc -static-libstdc++)
  endif ()
  # (Wstringop-overflow) - [meta-bug] bogus/missing -Wstringop-overflow warnings
  #   https://gcc.gnu.org/bugzilla/show_bug.cgi?id=88443
  # Bogus -Wstringop-overflow warning
  #   https://gcc.gnu.org/bugzilla/show_bug.cgi?id=100395
  # [10 Regression] spurious -Wstringop-overflow writing to a trailing array plus offset
  #   https://gcc.gnu.org/bugzilla/show_bug.cgi?id=95353
  if (CMAKE_CXX_COMPILER_ID MATCHES "GNU" AND
      NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 7.0)
    target_link_libraries(${name} -Wno-stringop-overflow)
  endif ()
endfunction()

# Adds a test.
# Usage: add_fmt_test(name srcs...)
function(add_fmt_test name)
  cmake_parse_arguments(ADD_FMT_TEST "HEADER_ONLY;MODULE" "" "" ${ARGN})

  set(sources ${name}.cc ${ADD_FMT_TEST_UNPARSED_ARGUMENTS})
  if (ADD_FMT_TEST_HEADER_ONLY)
    set(sources ${sources} ${TEST_MAIN_SRC} ../src/os.cc)
    set(libs gtest fmt-header-only)
    if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
      set(PEDANTIC_COMPILE_FLAGS ${PEDANTIC_COMPILE_FLAGS} -Wno-weak-vtables)
    endif ()
  elseif (ADD_FMT_TEST_MODULE)
    set(libs gtest test-module)
    set_source_files_properties(${name}.cc PROPERTIES OBJECT_DEPENDS test-module)
  else ()
    set(libs test-main fmt)
  endif ()
  add_fmt_executable(${name} ${sources})
  target_link_libraries(${name} ${libs})

  # Define if certain C++ features can be used.
  if (FMT_PEDANTIC)
    target_compile_options(${name} PRIVATE ${PEDANTIC_COMPILE_FLAGS})
  endif ()
  if (FMT_WERROR)
    target_compile_options(${name} PRIVATE ${WERROR_FLAG})
  endif ()
  add_test(NAME ${name} COMMAND ${name})
endfunction()

add_fmt_test(args-test)
add_fmt_test(assert-test)
add_fmt_test(chrono-test)
add_fmt_test(color-test)
add_fmt_test(core-test)
add_fmt_test(gtest-extra-test)
add_fmt_test(format-test mock-allocator.h)
if (MSVC)
  target_compile_options(format-test PRIVATE /bigobj)
endif ()
if (NOT (MSVC AND BUILD_SHARED_LIBS))
  add_fmt_test(format-impl-test HEADER_ONLY header-only-test.cc)
endif ()
add_fmt_test(ostream-test)
add_fmt_test(compile-test)
add_fmt_test(compile-fp-test HEADER_ONLY)
if (MSVC)
  # Without this option, MSVC returns 199711L for the __cplusplus macro.
  target_compile_options(compile-fp-test PRIVATE /Zc:__cplusplus)
endif()
add_fmt_test(printf-test)
add_fmt_test(ranges-test ranges-odr-test.cc)
add_fmt_test(scan-test)
add_fmt_test(unicode-test HEADER_ONLY)
if (MSVC)
  target_compile_options(unicode-test PRIVATE /utf-8)
endif ()
add_fmt_test(xchar-test)
add_fmt_test(enforce-checks-test)
target_compile_definitions(enforce-checks-test PRIVATE
                           -DFMT_ENFORCE_COMPILE_STRING)

if (FMT_CAN_MODULE)
  # The tests need {fmt} to be compiled as traditional library
  # because of visibility of implementation details.
  # If module support is present the module tests require a
  # test-only module to be built from {fmt}
  add_library(test-module OBJECT ${CMAKE_SOURCE_DIR}/src/fmt.cc)
  target_compile_features(test-module PUBLIC ${FMT_REQUIRED_FEATURES})
  target_include_directories(test-module PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>)
  enable_module(test-module)

  add_fmt_test(module-test MODULE test-main.cc)
  if (MSVC)
    target_compile_options(test-module PRIVATE /utf-8 /Zc:__cplusplus
                           /Zc:externConstexpr /Zc:inline)
    target_compile_options(module-test PRIVATE /utf-8 /Zc:__cplusplus
                           /Zc:externConstexpr /Zc:inline)
  endif ()
endif ()

if (NOT DEFINED MSVC_STATIC_RUNTIME AND MSVC)
  foreach (flag_var
			 CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
			 CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
	if (${flag_var} MATCHES "^(/|-)(MT|MTd)")
	  set(MSVC_STATIC_RUNTIME ON)
	  break()
	endif()
  endforeach()
endif()

if (NOT MSVC_STATIC_RUNTIME)
  add_fmt_executable(posix-mock-test
    posix-mock-test.cc ../src/format.cc ${TEST_MAIN_SRC})
  target_include_directories(
    posix-mock-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
  target_link_libraries(posix-mock-test gtest)
  if (FMT_PEDANTIC)
    target_compile_options(posix-mock-test PRIVATE ${PEDANTIC_COMPILE_FLAGS})
  endif ()
  if (HAVE_STRTOD_L)
    target_compile_definitions(posix-mock-test PRIVATE FMT_LOCALE)
  endif ()
  add_test(NAME posix-mock-test COMMAND posix-mock-test)
  add_fmt_test(os-test)
endif ()

message(STATUS "FMT_PEDANTIC: ${FMT_PEDANTIC}")

if (FMT_PEDANTIC)
  # Test that the library can be compiled with exceptions disabled.
  # -fno-exception is broken in icc: https://github.com/fmtlib/fmt/issues/822.
  if (NOT CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
    check_cxx_compiler_flag(-fno-exceptions HAVE_FNO_EXCEPTIONS_FLAG)
  endif ()
  if (HAVE_FNO_EXCEPTIONS_FLAG)
    add_library(noexception-test ../src/format.cc noexception-test.cc)
    target_include_directories(
      noexception-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
    target_compile_options(noexception-test PRIVATE -fno-exceptions)
    if (FMT_PEDANTIC)
      target_compile_options(noexception-test PRIVATE ${PEDANTIC_COMPILE_FLAGS})
    endif ()
  endif ()

  # Test that the library compiles without locale.
  add_library(nolocale-test ../src/format.cc)
  target_include_directories(
    nolocale-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
  target_compile_definitions(
    nolocale-test PRIVATE FMT_STATIC_THOUSANDS_SEPARATOR=1)
endif ()

# These tests are disabled on Windows because they take too long.
if (FMT_PEDANTIC AND NOT WIN32)
  # Test if incorrect API usages produce compilation error.
  add_test(compile-error-test ${CMAKE_CTEST_COMMAND}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/compile-error-test"
    "${CMAKE_CURRENT_BINARY_DIR}/compile-error-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}"
    "-DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}"
    "-DFMT_DIR=${CMAKE_SOURCE_DIR}"
    "-DSUPPORTS_USER_DEFINED_LITERALS=${SUPPORTS_USER_DEFINED_LITERALS}")

  # Test if the targets are found from the build directory.
  add_test(find-package-test ${CMAKE_CTEST_COMMAND}
    -C ${CMAKE_BUILD_TYPE}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/find-package-test"
    "${CMAKE_CURRENT_BINARY_DIR}/find-package-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}"
    "-DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}"
    "-DFMT_DIR=${PROJECT_BINARY_DIR}"
    "-DPEDANTIC_COMPILE_FLAGS=${PEDANTIC_COMPILE_FLAGS}"
    "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")

  # Test if the targets are found when add_subdirectory is used.
  add_test(add-subdirectory-test ${CMAKE_CTEST_COMMAND}
    -C ${CMAKE_BUILD_TYPE}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/add-subdirectory-test"
    "${CMAKE_CURRENT_BINARY_DIR}/add-subdirectory-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}"
    "-DPEDANTIC_COMPILE_FLAGS=${PEDANTIC_COMPILE_FLAGS}"
    "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")
endif ()

# This test are disabled on Windows because it is only *NIX issue.
if (FMT_PEDANTIC AND NOT WIN32)
  add_test(static-export-test ${CMAKE_CTEST_COMMAND}
    -C ${CMAKE_BUILD_TYPE}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/static-export-test"
    "${CMAKE_CURRENT_BINARY_DIR}/static-export-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}"
    "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")
endif ()

# Activate optional CUDA tests if CUDA is found. For version selection see
# https://docs.nvidia.com/cuda/cuda-c-programming-guide/index.html#cpp14-language-features
if (FMT_CUDA_TEST)
  if (${CMAKE_VERSION} VERSION_LESS 3.15)
    find_package(CUDA 9.0)
  else ()
    include(CheckLanguage)
    check_language(CUDA)
    if (CMAKE_CUDA_COMPILER)
      enable_language(CUDA OPTIONAL)
      set(CUDA_FOUND TRUE)
    endif ()
  endif ()

  if (CUDA_FOUND)
    add_subdirectory(cuda-test)
    add_test(NAME cuda-test COMMAND fmt-in-cuda-test)
  endif ()
endif ()

=== debian/changelog ===
fmtlib (8.1.1+ds1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 20 Jan 2022 02:07:51 +0800

fmtlib (8.1.1+ds1-1) experimental; urgency=medium

  * New upstream version 8.1.1+ds1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 07 Jan 2022 09:29:32 +0800

fmtlib (8.1.0+ds1-3) experimental; urgency=medium

  * Backport patch to restore ABI compatibility.
    Previous patch is incomplete

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 06 Jan 2022 00:35:43 +0800

fmtlib (8.1.0+ds1-2) experimental; urgency=medium

  * Update doxygen conf
  * Backport patches
    + PR-2696: Restore FMT_API on error_handler::on_error()
    + PR-2699: Fix endianness bug in write_digit2_separated

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 05 Jan 2022 02:51:30 +0800

fmtlib (8.1.0+ds1-1) experimental; urgency=medium

  * New upstream version 8.1.0+ds1

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 03 Jan 2022 16:41:54 +0800

fmtlib (8.0.1+ds1-4) unstable; urgency=medium

  * Upload to unstable.
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 17 Dec 2021 22:41:44 +0800

fmtlib (8.0.1+ds1-3) experimental; urgency=medium

  * Breaks libspdlog-dev << 1:1.9.2+ds-0.1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 11 Dec 2021 22:23:54 +0800

fmtlib (8.0.1+ds1-2) experimental; urgency=medium

  * Fix FTBFS with dh_sphinxdoc (Closes: #997437)
    dh_sphinxdoc: error: DOCUMENTATION_OPTIONS does not define URL_ROOT

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 02 Dec 2021 03:59:56 +0800

fmtlib (8.0.1+ds1-1) experimental; urgency=medium

  * New upstream version 8.0.1+ds1
  * Set INSTALL_GTEST to OFF to remove extra exported targets

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 03 Jul 2021 18:14:41 +0800

fmtlib (8.0.0+ds1-1) experimental; urgency=medium

  * New upstream version 8.0.0+ds1
  * Bump SO version to 8

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 21 Jun 2021 22:59:40 +0800

=== debian/control ===
Source: fmtlib
Section: devel
Priority: optional
Maintainer: Shengjing Zhu <zhsj@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 cmake,
 googletest,
Build-Depends-Indep:
 doxygen,
 libjs-bootstrap,
 node-clean-css,
 node-less,
 python3-breathe,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://fmt.dev/
Vcs-Browser: https://salsa.debian.org/zhsj/fmtlib
Vcs-Git: https://salsa.debian.org/zhsj/fmtlib.git

Package: libfmt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libfmt8 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libfmt-doc,
Breaks:
 libspdlog-dev (<< 1:1.9.2+ds-0.1),
Conflicts:
 libcppformat1-dev,
 libcppformat2-dev,
 libfmt3-dev,
Description: fast type-safe C++ formatting library -- development files
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the development files, include the static library.

Package: libfmt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-bootstrap,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Conflicts:
 libcppformat1-doc,
 libcppformat2-doc,
 libfmt3-doc,
Description: fast type-safe C++ formatting library -- documentation
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the documentation files.

Package: libfmt8
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast type-safe C++ formatting library -- library
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ -B bdir

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DFMT_DOC=off -DFMT_PEDANTIC=on -DCMAKE_POSITION_INDEPENDENT_CODE=on \
		-DBUILD_SHARED_LIBS=on

override_dh_auto_configure-indep:

override_dh_auto_build-indep:
	mkdir -p bdir/doxyxml
	doxygen debian/doxygen.conf
	sphinx-build -Dbreathe_projects.format=../bdir/doxyxml \
		-Dversion=$(DEB_VERSION) -Drelease=$(DEB_VERSION) -Aversion=$(DEB_VERSION) -Aversions=$(DEB_VERSION) \
		-b html doc/ bdir/libfmt-doc
	lessc --clean-css --include-path=/usr/share/javascript/bootstrap/less \
		doc/fmt.less bdir/libfmt-doc/_static/fmt.css
	ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js bdir/libfmt-doc/_static/bootstrap.min.js

override_dh_auto_test-indep:

override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc
	cp -vr bdir/libfmt-doc debian/tmp/usr/share/doc/

override_dh_install-indep:
	dh_install
	dh_sphinxdoc

## fmtlib 9.0.0+ds1

=== debian/changelog ===
fmtlib (9.0.0+ds1-4) unstable; urgency=medium

  * Upload to unstable
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Aug 2022 10:52:23 +0800

fmtlib (9.0.0+ds1-3) experimental; urgency=medium

  * Backport patch for failed chrono test on i386

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 14 Jul 2022 03:51:10 +0800

fmtlib (9.0.0+ds1-2) experimental; urgency=medium

  * Backport patch to fix failure on i386

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 11 Jul 2022 03:01:31 +0800

fmtlib (9.0.0+ds1-1) experimental; urgency=medium

  * New upstream version 9.0.0+ds1
  * Bump SO version to 9

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 05 Jul 2022 23:55:12 +0800

## fmtlib 9.1.0%2Bds1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Shengjing Zhu <zhsj@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 10),
 Build-Depends-Arch:
  cmake,
  googletest,
@@ -15,7 +15,7 @@
  python3-breathe,
  python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://fmt.dev/
 Vcs-Browser: https://salsa.debian.org/zhsj/fmtlib
 Vcs-Git: https://salsa.debian.org/zhsj/fmtlib.git
@@ -25,7 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libfmt8 (= ${binary:Version}),
+ libfmt9 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
@@ -62,7 +62,7 @@
  .
  This package contains the documentation files.
 
-Package: libfmt8
+Package: libfmt9
 Section: libs
 Architecture: any
 Multi-Arch: same

## fmtlib 9.1.0+ds1

=== debian/changelog ===
fmtlib (9.1.0+ds1-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:53:36 +0200

fmtlib (9.1.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 29 Aug 2022 20:43:55 +0800

fmtlib (9.1.0+ds1-1) experimental; urgency=medium

  * New upstream version 9.1.0+ds1

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 28 Aug 2022 00:39:05 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: fmtlib
 Section: devel
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
 Build-Depends-Arch:
  cmake,
  googletest,

## fmtlib 10.1.0+ds1

=== debian/changelog ===
fmtlib (10.1.0+ds1-1) experimental; urgency=medium

  * New upstream version 10.1.0+ds1

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 14 Aug 2023 18:51:20 +0800

fmtlib (10.0.0+ds1-1) experimental; urgency=medium

  * New upstream version 10.0.0+ds1
  * Bump SO version to 10
  * Explicitly set CMAKE_CXX_STANDARD to 11 to fix tests

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 10 May 2023 22:24:04 +0800

## fmtlib 10.1.1+ds1

=== debian/changelog ===
fmtlib (10.1.1+ds1-4) unstable; urgency=medium

  * Backport patch to fix handling FMT_STATIC_THOUSANDS_SEPARATOR
    (Closes: #1086722)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 05 Nov 2024 02:46:03 +0800

fmtlib (10.1.1+ds1-3) unstable; urgency=medium

  * Upload to unstable (Closes: #1072674)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 04 Nov 2024 17:39:56 +0800

fmtlib (10.1.1+ds1-2) experimental; urgency=medium

  * Fix build with Sphinx 7 (Closes: #1042588)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 22 Nov 2023 04:18:37 +0800

fmtlib (10.1.1+ds1-1) experimental; urgency=medium

  * New upstream version 10.1.1+ds1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Sep 2023 14:47:55 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fmtlib
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Shengjing Zhu <zhsj@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
@@ -26,7 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libfmt9 (= ${binary:Version}),
+ libfmt10 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
@@ -63,7 +62,7 @@
  .
  This package contains the documentation files.
 
-Package: libfmt9
+Package: libfmt10
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 override_dh_auto_configure-arch:
 	dh_auto_configure -- \
 		-DFMT_DOC=off -DFMT_PEDANTIC=on -DCMAKE_POSITION_INDEPENDENT_CODE=on \
-		-DBUILD_SHARED_LIBS=on
+		-DBUILD_SHARED_LIBS=on \
+		-DCMAKE_CXX_STANDARD=11
 
 override_dh_auto_configure-indep:

## fmtlib 11.1.1+ds1

=== debian/changelog ===
fmtlib (11.1.1+ds1-1) experimental; urgency=medium

  * New upstream version 11.1.1+ds1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 28 Dec 2024 17:05:42 +0800

fmtlib (11.1.0+ds1-1) experimental; urgency=medium

  * New upstream version 11.1.0+ds1
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 27 Dec 2024 05:58:56 +0800

fmtlib (11.0.2+ds1-1) experimental; urgency=medium

  * New upstream version 11.0.2+ds1
  * Build docs with mkdocs
  * Bump SO version to 11

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 14 Nov 2024 07:50:40 +0800

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,12 @@
  cmake,
  googletest,
 Build-Depends-Indep:
+ dh-sequence-mkdocs,
  doxygen,
- libjs-bootstrap,
- node-clean-css,
- node-less,
- python3-breathe,
- python3-sphinx,
+ mkdocs,
+ mkdocstrings,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://fmt.dev/
 Vcs-Browser: https://salsa.debian.org/zhsj/fmtlib
 Vcs-Git: https://salsa.debian.org/zhsj/fmtlib.git
@@ -25,7 +23,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libfmt10 (= ${binary:Version}),
+ libfmt11 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
@@ -48,9 +46,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- libjs-bootstrap,
  ${misc:Depends},
- ${sphinxdoc:Depends},
+ ${mkdocs:Depends},
 Conflicts:
  libcppformat1-doc,
  libcppformat2-doc,
@@ -62,7 +59,7 @@
  .
  This package contains the documentation files.
 
-Package: libfmt10
+Package: libfmt11
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ -B bdir

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DFMT_DOC=off -DFMT_PEDANTIC=on -DCMAKE_POSITION_INDEPENDENT_CODE=on \
		-DBUILD_SHARED_LIBS=on \
		-DCMAKE_CXX_STANDARD=11

override_dh_auto_configure-indep:

override_dh_auto_build-indep:
	PYTHONPATH=$(CURDIR)/support/python mkdocs build -f ./support/mkdocs.yml \
		--no-directory-urls -t mkdocs -d $(CURDIR)/bdir/libfmt-doc/

override_dh_auto_test-indep:

override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc
	cp -vr bdir/libfmt-doc debian/tmp/usr/share/doc/

=== debian/watch ===
version=4
opts="dversionmangle=auto, repacksuffix=+ds1, \
      filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/fmtlib/fmt/tags \
 (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
